Package: org.codehaus.groovy.antlr

## [Java] Interface AntlrASTProcessor

- An interface for processing antlr AST objects

  Authors:
    Jeremy Rayner

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `antlr.collections.AST` | `process(antlr.collections.AST t)` performs some processing on the supplied AST node.

- - ### Method Detail

    - #### public antlr.collections.AST process(antlr.collections.AST t)

      performs some processing on the supplied AST node.

      Parameters:
        `t` - the AST node to process.
      Returns:
        possibly returns the AST modified or null, depends on the implementation.